Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iscript
Class IScriptParser

    java.lang.Object
      ix.iscript.IScriptParser

    public class IScriptParser

extends java.lang.Object

A parser for the I-Script language. It converts an IScript `Expression` to an instance of an appropriate subclass of `Interpreter.Expr`. It can also begin with a textual XML representation of an `Expression`.

Constructor Summary
`IScriptParser()`

Method Summary
`(package private) Interpreter.Expr` | `do_parseExpression(Expression expr)`
`(package private) Interpreter.And` | `parseAnd(And expr)`
`(package private) Interpreter.Assignment` | `parseAssignment(Assignment expr)`
`(package private) Interpreter.Call` | `parseCall(Call expr)`
`Interpreter.Expr` | `parseExpression(Expression expr)`
`Interpreter.Expr` | `parseExpression(java.lang.String xml)`
`(package private) Interpreter.If` | `parseIf(If expr)`
`(package private) Interpreter.Lambda` | `parseLambda(Lambda expr)`
`(package private) Interpreter.Let` | `parseLet(Let expr)`
`(package private) java.util.List` | `parseList(ix.iscript.ListOfExpression exprs)`
`(package private) Interpreter.Literal` | `parseLiteral(Literal lit)`
`(package private) Interpreter.Or` | `parseOr(Or expr)`
`(package private) Interpreter.Sequence` | `parseSequence(Sequence expr)`
`(package private) Interpreter.VarRef` | `parseVarRef(VarRef ref)`
`(package private) Interpreter.While` | `parseWhile(While expr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IScriptParser

    public IScriptParser()

Method Detail

### parseExpression

    public Interpreter.Expr parseExpression(java.lang.String xml)

### parseExpression

    public Interpreter.Expr parseExpression(Expression expr)

### do_parseExpression

    Interpreter.Expr do_parseExpression(Expression expr)

### parseList

    java.util.List parseList(ix.iscript.ListOfExpression exprs)

### parseLiteral

    Interpreter.Literal parseLiteral(Literal lit)

### parseVarRef

    Interpreter.VarRef parseVarRef(VarRef ref)

### parseCall

    Interpreter.Call parseCall(Call expr)

### parseAssignment

    Interpreter.Assignment parseAssignment(Assignment expr)

### parseIf

    Interpreter.If parseIf(If expr)

### parseSequence

    Interpreter.Sequence parseSequence(Sequence expr)

### parseAnd

    Interpreter.And parseAnd(And expr)

### parseOr

    Interpreter.Or parseOr(Or expr)

### parseLet

    Interpreter.Let parseLet(Let expr)

### parseLambda

    Interpreter.Lambda parseLambda(Lambda expr)

### parseWhile

    Interpreter.While parseWhile(While expr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD